<?php
class report_journal_medical_reports extends c_report
{
    var $title='Журнал регистрации медицинских освидетельствований на состояние опьянения' ;
    var $view_by_space_filter=1 ;
    var $allow_org_ids=1 ;
    var $usl_select_org='' ;


    function setting($options=array())
    {
        $arr_groups=ACCOUNTS()->get_arr_groups_to_cur_account() ;
        ?><div id="panel_filter">
        <form id="sky-form" class="sky-form"><input type="hidden" name="filter_dir" value="<?echo _CUR_REPORT_DIR?>">
            <fieldset>
                <div class="row">
                    <?
                    $this->filter_section_select('group_id',$GLOBALS['LS_person_group_title'].':',2,$arr_groups) ;
                    $this->filter_section_input_text('name','ФИО:',2,array('auto_complete'=>"autocomplette_personal_name")) ;
                    $this->filter_section_input_text('data_from','От:',2,array('class'=>'datetimepicker')) ;
                    $this->filter_section_input_text('data_to','До:',2,array('class'=>'datetimepicker')) ;
                    ?>
                </div>
            </fieldset>
            <?$this->panel_buttons();?>
        </form>
        </div><br>
        <?
    }

    function create_usl_select_obj($_params,&$options)
    {
        if (!$this->filter['group_id']) $this->filter['group_id']=MEMBER()->cur_group_id ;

        $usl=array() ;
        $usl[]='clss=215' ;
        $usl[]='report_code="protokol_trezvosti"' ;
        $usl[]='sign_data!="" and not sign_data is null' ;
        if ($this->filter['name'])
        {
            $arr_ids=execSQL_line('select pkey from obj_site_personals where clss=211 and obj_name like "%'.addslashes($this->filter['name']).'%"') ;
            if (_sizeof($arr_ids))  $usl[]='personal_id in ('.implode(',',$arr_ids).')' ;
            else                   $usl[]='personal_id=-1' ;
        }
        if ($this->filter['group_id'])         $usl[]='group_id in ('.ACCOUNTS()->get_childs_id($this->filter['group_id']).')' ;
        if ($this->filter['data_from'])        $usl[]='c_data>='.strtotime($this->filter['data_from']) ;
        if ($this->filter['data_to'])          $usl[]='c_data<='.strtotime($this->filter['data_to']) ;

        $usl_res=implode(' and ',$usl) ;
        return($usl_res) ;
    }

    function panel_info_filter()
    {
        $_str=array() ; $info=array() ; $title='' ;
        if (MEMBER()->rol==2) $this->filter['group_id']=MEMBER()->cur_group_id ;
        if ($this->filter['name'])                        $info['ФИО']='"'.$this->filter['name'].'"' ;
        if ($this->filter['group_id'])                    $info['Группа']=ACCOUNTS()->get_member_name_by_id($this->filter['group_id'])  ;
        if ($this->filter['data_from'])                   $info['дата от']='"'.$this->filter['data_from'].'"' ;
        if ($this->filter['data_to'])                     $info['дата до']='"'.$this->filter['data_to'].'"' ;
        if (_sizeof($info)) foreach($info as $title=>$value) $_str[]=$title.': <strong>'.$value.'</strong>' ;
        if (_sizeof($_str)) $title='<p class=center>'.implode(' ',$_str).'</p>' ;
        return $title ;
    }

    function get_cnt_items($usl,$options=array())
    {
        $cnt=execSQL_value('select count(pkey)
                            from  obj_site_docs
                            where '.$usl,$options) ;
        return($cnt) ;
    }

    function get_items($usl,$options=array())
    {
        $limit=($options['limit'])? ' '.$options['limit']:'' ;
        $order=($this->filter['order'])? ' order by '.$this->filter['order']:' order by pkey desc' ;
        $list_rec=execSQL('select *
                           from  obj_site_docs
                           where '.$usl.$order.$limit,$options) ;
        if (_sizeof($list_rec)) foreach($list_rec as $id=>$rec) DOCS()->prepare_public_info_to_doc($list_rec[$id],$options) ;
        return($list_rec) ;
    }


    // шаблон - вывод ссылками без разделитея
    function print_template_HTML($list_recs,$options=array())
    {
        $id=($options['id'])? 'id='.$options['id']:'' ;
        ?><table class="basic fz_small full auto" <?echo $id?>>
        <tr>
            <th>№ п/п</th>
            <th>Дата медицинского освидетельствования</th>
            <th>Кем направлен на освидетельствование, реквизиты протокола (направления, заявления)</th>
            <th>Фамилия, инициалы, дата рождения и адрес места жительства освидетельствуемого</th>
            <th>Документ, удостоверяющий личность освидетельствуемого (при его отсутствии номер протокола о направлении лица на медицинское освидетельствование (направление, заявление)</th>
            <th>Заключение по результатам медицинского освидетельствования, результаты химико-токсикологических исследований пробы биологического объекта</th>
            <th>Фамилия, инициалы, должность и номер служебного удостоверения (при наличии) и подпись лица, получившего акт медицинского освидетельствования</th>
            <th>Фамилия, инициалы и подпись медицинского работника, проводившего медицинское освидетельствование</th>
        </tr>
        <tr>
            <th>1</th><th>2</th><th>3</th><th>4</th><th>5</th><th>6</th><th>7</th><th>8</th>
        </tr>
        <?
        $i=1 ;
        if (_sizeof($list_recs)) foreach($list_recs as $rec)
        {
            $rec_personal=PERSONAL()->get_personal_by_id($rec['personal_id']);
            $medic=ACCOUNTS()->get_member_name_by_id($rec['member_id']);
            $content=unserialize($rec['content']);
            $rec_mo=ESMO()->get_mo_by_id($rec['mo_id']) ;
            $p4=array(); $p5=array(); $p6=array(); $p7=array();
            $p4[]=$rec_personal['obj_name'];
            if ($rec_personal['dr']) $p4[]=$rec_personal['dr'];
            if ($content['address']) $p4[]=$content['address'];
            if ($content['doc_name']) $p5[]=$content['doc_name'];
            if ($content['series_number']) $p5[]=$content['series_number'];
            if ($content['p11']) $p6[]=$content['p11'];
            if ($rec_mo['alko_value']) $p6[]='алкоголь: '.$rec_mo['alko_value'];
            if ($content['p10_8']) $p6[]='экспресс-тест мочи: '.$content['p10_8'];
            $p7[]=$rec_personal['obj_name'];
            if ($rec_personal['_work_name']) $p7[]=$rec_personal['_work_name'];
            ?>
            <tr>
                <td><?echo $i?></td>
                <td><?echo date('d.m.Y',$rec['c_data'])?></td>
                <td><?echo $medic.', '.$rec['obj_name']?></td>
                <td><?echo implode(', ',$p4)?></td>
                <td><?echo implode(', ',$p5)?></td>
                <td><?echo implode(', ',$p6);?></td>
                <td><?echo implode(', ',$p7);?></td>
                <td><?echo $medic?></td>
            </tr>
            <?
            $i++;
        }
        ?></table>
        <style>
            table tr td{min-width:19px;}
        </style><?
    }

}

?>
